/**
 *
 */
package de.intevation.gnv.profile.verticalcrosssection;

import org.apache.log4j.Logger;
import org.w3c.dom.Document;

import de.intevation.artifacts.ArtifactFactory;
import de.intevation.artifacts.CallContext;
import de.intevation.gnv.artifacts.GNVArtifactBase;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class VerticalCrossSectionMeshArtifact extends GNVArtifactBase {
    /**
     *
     */
    private static final long serialVersionUID = -2687278172203755640L;
    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger
            .getLogger(VerticalCrossSectionMeshArtifact.class);


    /**
     * Constructor
     */
    public VerticalCrossSectionMeshArtifact() {
        super();
        log.debug("VerticalCrossSectionMeshArtifact.Constructor");
        this.name = "verticalCrossSectionMesh";
    }
    
    /**
     * @see de.intevation.artifactdatabase.DefaultArtifact#describe(java.lang.Object)
     */
    @Override
    public Document describe(CallContext context) {
        log.debug("VerticalCrossSectionMeshArtifact.describe");
        return super.createDescibeOutput(context.getMeta(),super.identifier);
    }

    /**
     * @see de.intevation.gnv.artifacts.GNVArtifactBase#setup(java.lang.String,
     *      de.intevation.artifacts.ArtifactFactory, java.lang.Object)
     */
    @Override
    public void setup(String identifier, ArtifactFactory factory, Object context) {
        log.debug("VerticalCrossSectionMeshArtifact.setup");
        super.setup(identifier, factory, context);
    }
}
